## org.codehaus.plexus.collections
Interface ActiveList

All Superinterfaces:
  ActiveCollection, java.util.Collection, java.lang.Iterable, java.util.List

All Known Implementing Classes:
  AbstractActiveList, DefaultActiveList

    public interface ActiveList

extends ActiveCollection, java.util.List

Collection with `List` semantics, which is backed by a `PlexusContainer` instance, and retrieves a fresh batch of elements for each method call.
NOTE: All active collections are immutable, and will throw an `UnsupportedOperationException` if a mutator method is called.

Author:
  jdcasey

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`boolean` `checkedContains(java.lang.Object value)` Same as `List.contains(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedContainsAll(java.util.Collection collection)` Same as `List.containsAll(Collection)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object` `checkedGet(int index)` Same as `List.get(int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`int` `checkedIndexOf(java.lang.Object value)` Same as `List.indexOf(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.Iterator` `checkedIterator()` Same as `List.iterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`int` `checkedLastIndexOf(java.lang.Object value)` Same as `List.lastIndexOf(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.ListIterator` `checkedListIterator()` Same as `List.listIterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.ListIterator` `checkedListIterator(int index)` Same as `List.listIterator(int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.List` `checkedSubList(int fromIndex, int toIndex)` Same as `List.subList(int, int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object[]` `checkedToArray()` Same as `List.toArray()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object[]` `checkedToArray(java.lang.Object[] array)` Same as `List.toArray(Object[])`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`checkedIsEmpty, checkedSize, getRole, isEmpty, size`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### checkedContains

    boolean checkedContains(java.lang.Object value)
                            throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.contains(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedContainsAll

    boolean checkedContainsAll(java.util.Collection collection)
                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.containsAll(Collection)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedGet

    java.lang.Object checkedGet(int index)
                                throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.get(int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedIndexOf

    int checkedIndexOf(java.lang.Object value)
                       throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.indexOf(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedIterator

    java.util.Iterator checkedIterator()
                                       throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.iterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedLastIndexOf

    int checkedLastIndexOf(java.lang.Object value)
                           throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.lastIndexOf(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedListIterator

    java.util.ListIterator checkedListIterator()
                                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.listIterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedListIterator

    java.util.ListIterator checkedListIterator(int index)
                                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.listIterator(int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedSubList

    java.util.List checkedSubList(int fromIndex,
                                  int toIndex)
                                  throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.subList(int, int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedToArray

    java.lang.Object[] checkedToArray()
                                      throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.toArray()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedToArray

    java.lang.Object[] checkedToArray(java.lang.Object[] array)
                                      throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `List.toArray(Object[])`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

Copyright © 2011. All Rights Reserved.